#ifndef DEVICESTATUSHELPER_H
#define DEVICESTATUSHELPER_H

#include <QObject>
#include <QFileSystemWatcher>
#include "peony-core_global.h"

class PEONYCORESHARED_EXPORT DeviceStatusHelper : public QObject
{
    Q_OBJECT
public:
    static DeviceStatusHelper *getInstance();

    bool getFileSystemEnabled();
    bool getDataSharedEnabled();

    QString getFileSystemVolumeName();
    QString getDataVolumeName();

    QString getFileSystemVolumeName1();
    QString getDataVolumeName1();

Q_SIGNALS:
    void deviceStatusChanged();

private:
    explicit DeviceStatusHelper(QObject *parent = nullptr);
    QFileSystemWatcher *m_watcher;

    bool m_fileSystemEnabled = true;
    bool m_dataSharedEnabled = true;

    QString m_fileSysteLabel;
    QString m_dataLabel;
};

#endif // DEVICESTATUSHELPER_H
